# yaml-language-server: $schema=https://git.front.kjuulh.io/kjuulh/cuddle/raw/branch/main/schemas/base.json

base: "git@git.front.kjuulh.io:kjuulh/cuddle-rust-lib-plan.git"

vars:
  service: "dagger-components"
  registry: kasperhermansen

  cuddle_please_image: "kasperhermansen/cuddle-please:main-1691504183"

please:
  project:
    owner: kjuulh
    repository: dagger-components
    branch: main
  settings:
    api_url: https://git.front.kjuulh.io  
  actions:
    rust:

scripts:
  "ci:main":
    type: shell
  "ci:pr":
    type: shell
  "ci:release":
    type: shell
  
